# Summary

* [Introduction](README.md)

## Approaches

* [Overview](service-delivery/overview.md)
* [Application & Cloud Security](service-delivery/cloud-security.md)
* [Authentication Policy](service-delivery/authorization-policy.md)
* [Code Review](service-delivery/code-review.md)
* [Coding in the Open](service-delivery/code-in-open.md)
* [Coding Standards](service-delivery/coding-standards.md)
* [Gamedays](service-delivery/gamedays.md)
* [Hosting](service-delivery/hosting.md)
* [Incidents](service-delivery/Incidents/overview.md)
    * [Severity Levels](service-delivery/Incidents/severity-levels.md)
    * [Template](service-delivery/Incidents/post-mortem-template.md)
* [Load testing](service-delivery/load-testing.md)
* [Production Requirements](service-delivery/prodreq.md)
* [Monitoring](service-delivery/monitoring.md)
* [Pipelines & Automated Testing](service-delivery/pipelines.md)
* [Runbooks](service-delivery/runbooks.md)
* [Third Party Validation](service-delivery/third-party-validation.md)
* [Tooling](service-delivery/tooling.md)

## Disciplines

* [Backend](backend/overview.md)
  * [Coding Standards](backend/coding-standards.md)
  * [Domain Management](backend/domain-management.md)
  * Shared Libraries
      * [Lambda Wrapper](backend/lambda-wrapper.md)
* [Frontend](frontend/overview.md)
  * [Accessibility](frontend/accessibility.md)
  * [Coding Standards](frontend/coding-standards.md)
  * Shared Libraries
      * [Pattern Lab](frontend/pattern-lab.md)
      * [React Storybook](frontend/storybook.md)
* QA
  * [Manual QA](qa/manualQA.md)
  * [Test Resources](qa/test-resources.md)

## Team

* [Acronyms & Definitions](team-structure/acronyms.md)
* [OKRs](team-structure/okrs.md)
* [Slack Channels](team-structure/slack-channels.md)

## Documentation

* [Architecture](docs/architecture.md)
* [Supporter Data Flow](docs/supporter-data-flow.md)

## External Resources

* [Comic Relief GitHub](https://github.com/comicrelief)
* [Status Page](https://status.comicrelief.com/)
* [Technology blog](https://medium.com/comic-relief)
