# Coding Standards
***

Coding standards ensure that all developers working on a project are following
the same set of specified guidelines to produce concise, maintainable code.
The benefits of this include:

- Enhanced efficiency
- Reduced risk of project failure
- Minimise complexity
- Easy to maintain

We aim to write code that can be easily understood and that is consistent across all commits and projects.
Ensuring consistency has a positive impact on the quality of the project, and one should ensure that it is maintained
while coding. Also, it should be taken care that the guidelines are homogeneously followed across different levels of
the system and do not contradict each other. The finished codebase should look like it has been written by
a single developer, in a single session.

We automate coding standards wherever possible to ensure the least hassle for
engineers. For more information about the tools and guidelines we apply, please
read our coding standards documentation for specific areas:

- [Frontend coding standards](../frontend/coding-standards.md)
- [Backend coding standards](../backend/coding-standards.md)

## Further Reading

- [Importance of Code Quality and Coding Standard in Software](https://www.multidots.com/importance-of-code-quality-and-coding-standard-in-software-development/)
