# Our Approach
***

For a lot of our products, there is only one chance to get it right and very
few production opportunities to learn non-costly lessons. In this section we
outline the basic requirements that all delivery of code – and therefore the
code itself – should have.

Security should be at the heart of any approach that we take: the less we need
to manage and the less attack surface we create, the better.

## Sections

- [Application & Cloud Security](cloud-security.md)
- [Authorization Policy](authorization-policy.md)
- [Code Review](code-review.md)
- [Coding in the Open](code-in-open.md)
- [Coding Standards](coding-standards.md)
- [Gamedays](gamedays.md)
- [Hosting](hosting.md)
- [Incidents](Incidents/overview.md)
    - [Severity Levels](Incidents/severity-levels.md)
    - [Template](Incidents/post-mortem-template.md)
- [Load Testing](load-testing.md)
- [Monitoring & Error Reporting](monitoring.md)
- [Pipelines](pipelines.md)
- [Runbooks](runbooks.md)
- [Production System Requirements](../service-delivery/prodreq.md)
- [Third Party Validation](../service-delivery/third-party-validation.md)
- [Tooling](tooling.md)

## Relevant Articles

- [Pipelines Everywhere](https://medium.com/comic-relief/pipelines-everywhere-9eb284f5bee3)
- [Our approach on automated regression testing](https://medium.com/comic-relief/our-approach-on-automated-regression-testing-454731bac9b)
- [How Comic Relief’s used Snyk to automate security and boost productivity ](https://snyk.io/blog/case-study-comic-relief/)
