# Acronyms & Definitions
***

- **365** – Year-round fundraising activity.

- **CDN** – Content Delivery Network.

- **CI/CD** – Continuous Integration and Continuous Delivery. General term for
  automated testing and deployment that happens as code gets written.

- **Contentful** – Our content management system.

- **CSC** – Our domain registrar. See
  [Domain Management](../backend/domain-management.md).

- **DPIA** – Data Protection Impact Assessment. See
  [Production Requirements](../service-delivery/prodreq.md#data-protection-impact-assessment-dpia).

- **Data Stores** – Data lakes where we store data from suppliers and internal
  systems.

- **DS** – Design System, the single source of truth which contains all the
  design elements.

- **EA** – Executive Assistant to an Executive Director.

- **ED** – Executive Director of a department.

- **EDCO** – Provider of school information, used in several areas of the
  business.

- **EDPOL** – BBC Editorial Policy. These editorial guidelines are the BBC's
  values and standards. They apply to all our content, wherever and however it
  is received. As the BBC is our broadcast partner it is vital that we follow
  their policies and guidelines.

- **ELT** – Executive Leadership Team (our Executive Directors, COO & CEO).

- **GMS** – Grants Management System, the CRM in which we manage grants.

- **IVR** – Interactive Voice Response, an automated phone system to take
  donations.

- **NCC** – One of our third-party security testers. See
  [Third Party Validation](../service-delivery/third-party-validation.md#ncc).

- **NOTV** – Night of TV, the night on which Comic Relief is on TV.
  Same as OTN.

- **NPM** – The [NodeJS package repository](https://www.npmjs.com/).

- **OMG** – Open Mobile Global. Provides call centres and backup donation
  systems.

- **OTN** – On the Night, the night on which Comic Relief is on TV.
  Same as NOTV.

- **PSL** – Payment Service Layer, the service that is shared across
  applications and takes payments within Comic Relief.

- **PLUS** – Postcode LookUp Service. Provides postcode lookups and address
  completion to our applications.

- **RDS** – Amazon's [Relational Database Service](https://aws.amazon.com/rds).

- **RND** – Red Nose Day.

- **SR** – Sport Relief.

- **SSO** – Single Sign-On. See
  [Authorization Policy](../service-delivery/authorization-policy.md#single-sign-on-sso).

- **SSV** – Single Supporter View, our supporter data warehouse.

- **Transactional Store** – A data lake containing all transactions within
  Comic Relief.

- **VCS** – Version Control System. We use [Git](https://git-scm.com/) on
  [GitHub](https://github.com/).
