# Slack Channels
***

This is not an exhaustive list of all the Slack channels that we have, however
it should give you a basic starting point for which channels to join.

Many of the channels that are not listed below are application-specific and
contain both the cross-functional team and error logging for that application.

## Alerts

- **#engineering-dangerzone-alerts** - Automated engineering alerts that by their very nature should be treated as very
  critical.
- **#data-systems-alerts** - Alerts and errors raised by the data systems
- **#digital-sms-notifications** - Alerts and errors raised by the giftaid reminder service
- **#giftaid-alerts (private)** - Alerts and errors raised by the giftaid service
- **#snyk-reports** - Dependency issues raise by Snyk
- **#webops_alerts (private)** - A catch all channel that catches any errors not reported into application specific
  channels.

## Engineering

- **Accessibility** - Accessibility related discussion
- **#code-reviews** - A mainly automated channel which lists any outstanding code reviews, however is also a place you
  can ask for help with code reviews.
- **#devs** - A channel shared with engineers and stakeholders where general questions can be asked.
- **#digital-standup** - Conversations around our daily stand-up.
- **#engineering (private)** - A place for just engineers to discuss workload, approaches and general discussion.
- **#frontend** - Frontend related discussion
- **#qas** - QA related discussion

## Application-Specific

- **#cms-rebuild** - Badly named, but anything related to the contentful CMS.
- **#cr-donate** - Everything related to the online donation platform.
- **#cr-site-dev** - Anything related to comic relief webiste development.
- **#workflow (private)** - Discussion regarding the workflow platform.

## Campaign Operations

- **#otn-aws (private)** - Channel shared with AWS to discuss and raises issues related to campaign.
- **#otn-braintree (private)** - Channel shared with Braintree to discuss and raises issues related to campaign.
- **#otn-dashboard (private)** - Channel to discuss and handle issues related to campaign dashboard.
- **#otn-engineering (private)** - Engineering team discussion related to campaign.
- **#otn-fonix (private)** - Channel shared with Fonix to discuss and raises issues related to campaign
- **#otn-omg (private)** - Channel shared with OMG to discuss and raises issues related to campaign
- **#otn-paypal (private)** - Channel shared with Paypal to discuss and raises issues related to campaign
- **#otn-rota (private)** - A channel to discuss campaign rota for monitoring and support
- **#otn-stats (private)** - A channel to share any intereting statistics related to campaign
- **#otn-stripe (private)** - Channel shared with Stripe to discuss and raises issues related to campaign.
- **#otn-supporter-care-tech (private)** - A shared channel with the supporter care team to discuss issues raised with
  platforms.
- **#otn-technology** - General technology related discussion around campaign
- **#otn-worldpay (private)** - Channel shared with Worldpay to discuss and raises issues related to campaign.

## Organisation

- **#digitalinnovation** - A channel for our directorate to share updates and general discussions that may be of interest
  to the entire directorate.
- **#lunchplan** - Where people are going for lunch
- **#out-of-office** - Where people post if they are on holiday, sick or are working from home.

## Providers

- **#epsagon-cr** - Shared channel with Epsagon to discuss and raise issues with monitoring tooling.
- **#pentesting-sage** - Shared channel with Sage offensive security team to discuss any pentesting that they have
  conducted.
